org.wildfly.swarm.microprofile.health.api

## Interface Monitor

-     public interface Monitor

  The main API exposed by the monitoring service
  Since:
    19/02/16
  Author:
    Heiko Braun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JNDI_NAME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Object>` | `getHealthDelegates()`
    `List<HealthMetaData>` | `getHealthURIs()`
    `ModelNode` | `getNodeInfo()`
    `long` | `getProbeTimeoutSeconds()` The timeout in seconds
    `Optional<SecurityRealm>` | `getSecurityRealm()`
    `ModelNode` | `heap()`
    `static Monitor` | `lookup()`
    `void` | `registerHealth(HealthMetaData metaData)`
    `void` | `registerHealthBean(Object healthCheck)`
    `ModelNode` | `threads()`
    `void` | `unregisterHealthBean(Object healthCheck)`

- - ### Field Detail

    - #### JNDI_NAME

          static final String JNDI_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### lookup

          static Monitor lookup()
                         throws NamingException

      Throws:
        `NamingException`

    - #### getNodeInfo

          ModelNode getNodeInfo()

    - #### heap

          ModelNode heap()

    - #### threads

          ModelNode threads()

    - #### registerHealth

          void registerHealth(HealthMetaData metaData)

    - #### registerHealthBean

          void registerHealthBean(Object healthCheck)

    - #### unregisterHealthBean

          void unregisterHealthBean(Object healthCheck)

    - #### getHealthURIs

          List<HealthMetaData> getHealthURIs()

    - #### getHealthDelegates

          Set<Object> getHealthDelegates()

    - #### getSecurityRealm

          Optional<SecurityRealm> getSecurityRealm()

    - #### getProbeTimeoutSeconds

          long getProbeTimeoutSeconds()

      The timeout in seconds
      Returns:

Copyright © 2018 JBoss by Red Hat. All rights reserved.